summaryrefslogtreecommitdiffstats
path: root/scripts/zpios-test
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2009-02-06 15:10:43 -0800
committerBrian Behlendorf <[email protected]>2009-02-06 15:10:43 -0800
commit31ea8d7dac7e9f64ceb7c99c53881fc71fdf262c (patch)
tree2afbb7a43f9997fc8a8215c5896b44f4e4db7706 /scripts/zpios-test
parent4c927e213a50543e7e96d0c67583b7b2c36cac64 (diff)
parent09485911cade94f8858c21f22ec99f84528040a5 (diff)
Merge commit 'refs/top-bases/linux-configure-branch' into linux-configure-branch
Diffstat (limited to 'scripts/zpios-test')
-rwxr-xr-xscripts/zpios-test/1x256th-65536rc-4rs-1cs-4off.sh59
-rwxr-xr-xscripts/zpios-test/4th-1024rc-4rs-1cs-4off.sh59
l---------scripts/zpios-test/large-thread-survey.sh1
l---------scripts/zpios-test/small.sh1
4 files changed, 120 insertions, 0 deletions
diff --git a/scripts/zpios-test/1x256th-65536rc-4rs-1cs-4off.sh b/scripts/zpios-test/1x256th-65536rc-4rs-1cs-4off.sh
new file mode 100755
index 000000000..f090c5f2e
--- /dev/null
+++ b/scripts/zpios-test/1x256th-65536rc-4rs-1cs-4off.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+#
+#
+# Usage: zpios
+# --chunksize -c =values
+# --chunksize_low -a =value
+# --chunksize_high -b =value
+# --chunksize_incr -g =value
+# --offset -o =values
+# --offset_low -m =value
+# --offset_high -q =value
+# --offset_incr -r =value
+# --regioncount -n =values
+# --regioncount_low -i =value
+# --regioncount_high -j =value
+# --regioncount_incr -k =value
+# --threadcount -t =values
+# --threadcount_low -l =value
+# --threadcount_high -h =value
+# --threadcount_incr -e =value
+# --regionsize -s =values
+# --regionsize_low -A =value
+# --regionsize_high -B =value
+# --regionsize_incr -C =value
+# --cleanup -x
+# --verify -V
+# --zerocopy -z
+# --threaddelay -T =jiffies
+# --regionnoise -I =shift
+# --chunknoise -N =bytes
+# --prerun -P =pre-command
+# --postrun -R =post-command
+# --log -G =log directory
+# --pool | --path -p =pool name
+# --load -L =dmuio
+# --help -? =this help
+# --verbose -v =increase verbosity
+
+ZPIOS_CMD="${CMDDIR}/zpios/zpios \
+ --load=dmuio \
+ --path=${ZPOOL_NAME} \
+ --threadcount=1,2,4,8,16,32,64,128,256 \
+ --regioncount=65536 \
+ --regionsize=4M \
+ --chunksize=1M \
+ --offset=4M \
+ --cleanup \
+ --verbose \
+ --human-readable \
+ ${ZPIOS_OPTIONS}"
+
+zpios_start() {
+ echo ${ZPIOS_CMD}
+ ${ZPIOS_CMD} || exit 1
+}
+
+zpios_stop() {
+ echo
+}
diff --git a/scripts/zpios-test/4th-1024rc-4rs-1cs-4off.sh b/scripts/zpios-test/4th-1024rc-4rs-1cs-4off.sh
new file mode 100755
index 000000000..d83635e32
--- /dev/null
+++ b/scripts/zpios-test/4th-1024rc-4rs-1cs-4off.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+#
+#
+# Usage: zpios
+# --chunksize -c =values
+# --chunksize_low -a =value
+# --chunksize_high -b =value
+# --chunksize_incr -g =value
+# --offset -o =values
+# --offset_low -m =value
+# --offset_high -q =value
+# --offset_incr -r =value
+# --regioncount -n =values
+# --regioncount_low -i =value
+# --regioncount_high -j =value
+# --regioncount_incr -k =value
+# --threadcount -t =values
+# --threadcount_low -l =value
+# --threadcount_high -h =value
+# --threadcount_incr -e =value
+# --regionsize -s =values
+# --regionsize_low -A =value
+# --regionsize_high -B =value
+# --regionsize_incr -C =value
+# --cleanup -x
+# --verify -V
+# --zerocopy -z
+# --threaddelay -T =jiffies
+# --regionnoise -I =shift
+# --chunknoise -N =bytes
+# --prerun -P =pre-command
+# --postrun -R =post-command
+# --log -G =log directory
+# --pool | --path -p =pool name
+# --load -L =dmuio
+# --help -? =this help
+# --verbose -v =increase verbosity
+
+ZPIOS_CMD="${CMDDIR}/zpios/zpios \
+ --load=dmuio \
+ --path=${ZPOOL_NAME} \
+ --threadcount=4 \
+ --regioncount=1024 \
+ --regionsize=4M \
+ --chunksize=1M \
+ --offset=4M \
+ --cleanup \
+ --verbose \
+ --human-readable \
+ ${ZPIOS_OPTIONS}"
+
+zpios_start() {
+ echo ${ZPIOS_CMD}
+ ${ZPIOS_CMD} || exit 1
+}
+
+zpios_stop() {
+ echo
+}
diff --git a/scripts/zpios-test/large-thread-survey.sh b/scripts/zpios-test/large-thread-survey.sh
new file mode 120000
index 000000000..90b6e3c47
--- /dev/null
+++ b/scripts/zpios-test/large-thread-survey.sh
@@ -0,0 +1 @@
+1x256th-65536rc-4rs-1cs-4off.sh \ No newline at end of file
diff --git a/scripts/zpios-test/small.sh b/scripts/zpios-test/small.sh
new file mode 120000
index 000000000..cbf03b5ce
--- /dev/null
+++ b/scripts/zpios-test/small.sh
@@ -0,0 +1 @@
+4th-1024rc-4rs-1cs-4off.sh \ No newline at end of file